Error code -1

Discussion in 'iPod touch' started by Damascus, Aug 10, 2008.

  1. Damascus

    Damascus New Member

    Joined:
    Nov 12, 2007
    Messages:
    1
    Likes Received:
    0
    I tried to update my iPod Touch to 2.0.1. I keep getting error code -1. I looked in this forum, I looked through Google, even the Apple website, but nothing.

    Can anyone here help me?

Share This Page